$(document).ready(function () {
    var formatResult = function (data) {
        return  data.text;
    }


    $('.dataTableClass222').dataTable(
            {"lengthMenu"
                        : [[10, 25, 50, 100, -1], [10, 25, 50, 100, "All"]],
                "order"
                        : [
                            [4, "desc"]       // order by drug cat
                        ]
            }
    );


    $('#clientareaid').select2({
        placeholder: "اختر الشركة  - المنطقة",
        //minimumInputLength: 2,
        //triggerChange: true,
        //allowClear: true,
        ajax: {
            url: 'clientControllerAjax.php?do=getclientarea',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                return {
                    searchTerms: term,
                    //governmentid : $('#clientgovernmentid').val()
                };
            },
            results: function (data) {
                return {
                    results: data,
                };
            }
        },
        formatResult: formatResult,
//        initSelection: function (element, callback) {
//            var item = element.val().split(':');
//            var data = {id: item[0], name: item[1]};
//            callback(data);
//        }
    });


    $('#clientareaid2').select2({
        placeholder: "اختر الشركة  - المنطقة",
        //minimumInputLength: 2,
        //triggerChange: true,
        //allowClear: true,
        ajax: {
            url: 'clientControllerAjax.php?do=getclientarea',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                return {
                    searchTerms: term,
                    //governmentid : $('#clientgovernmentid').val()
                };
            },
            results: function (data) {
                return {
                    results: data,
                };
            }
        },
        formatResult: formatResult,
//        initSelection: function (element, callback) {
//            var item = element.val().split(':');
//            var data = {id: item[0], name: item[1]};
//            callback(data);
//        }
    });
    $("#clientareaid2").select2("data", {id: $('#clientareaId').val(), text: $('#governmentName').val() + ' - ' + $('#clientareaName').val()});


});
function checkOtherUniquesIfExist(id, phone, mobile, cardNum) {
    var uFlag = 1;
    if (phone != "" || mobile != "" || cardNum != "") {
        $.ajax({
            type: "POST",
            url: 'clientControllerAjax.php?do=checkOtherUniquesIfExist',
            data: {id: id, phone: phone, mobile: mobile, cardNum: cardNum},
            async: false,
            success: function (data) {
                data = JSON.parse(data);
                //
                if (data.phoneFlag == 0) {
                    uFlag = 0;
                    $('#phoneErrorTxt').text('القيمة مكررة');
                    $('#phoneError').addClass("textfieldRequiredState");
                } else if (data.phoneFlag == 1) {
                    $('#phoneError').removeClass("textfieldRequiredState");
                }
                //
                if (data.mobileFlag == 0) {
                    uFlag = 0;
                    $('#mobileErrorTxt').text('القيمة مكررة');
                    $('#mobileError').addClass("textfieldRequiredState");
                } else if (data.mobileFlag == 1) {
                    $('#mobileError').removeClass("textfieldRequiredState");
                }
                //
                if (data.cardNumFlag == 0) {
                    uFlag = 0;
                    $('#cardNumErrorTxt').text('القيمة مكررة');
                    $('#cardNumError').addClass("textfieldRequiredState");
                } else if (data.cardNumFlag == 1) {
                    $('#cardNumError').removeClass("textfieldRequiredState");
                } else if (data.cardNumFlag == 2) {
                    uFlag = 0;
                    $('#cardNumErrorTxt').text('عدد ارقام البطاقة لا يساوى 14');
                    $('#cardNumError').addClass("textfieldRequiredState");
                }
            }
        });
    }
    return uFlag;
}

$('#specialDiscount').on('change', function () {
    if ($(this).is(':checked')) {
        $('#specialDiscountVal_div').show();
    } else {
        $('#specialDiscountVal_div').hide();
    }
});
$('#specialDiscountVal, #mandobCollectRatio').on('keyup', function () {
    if (Number($(this).val()) > 100) {
        $(this).val(100);
    }
});